AIと戦って、あなたの人生のリスク診断 >>

ibookG4でOSX10.4.8を使用しています。
J2SE5.0リリース4(PPC用)にアップデートした際、
「Internet Plug-Ins」フォルダにはJavaで何が入るのか
教えていただけないでしょうか。
昨日これを入れたのですが、
MacintoshHD→ライブラリ→Internet Plug-Insフォルダ内の
Javaと付くファイルをコマンド+iで情報を見ると、
・Java Applet Plugin Enabler(UNIX実行ファイル(PowerPC))作成日2005年7月30日
・Java.Applet.Plugin(バージョン10.0.2(for Java 1.3.1))作成日2005年8月23日
・JavaPluginCocoa.bundle(バージョン11.4.0(for Java J2SE5.0))作成日2005年8月11日
というのになりました。

5.0を入れてもJava1.4.2はなくならない、また5.0で不具合が出たら
1.4.2に戻すやり方などアップルサポートページにありますが、
以前1.4.2と1.3.1Release2でアップデートした
1.4.2_09と1.3.1_16が見当たらなくなってしまいました。
(ウロ覚えですが確かプラグインの情報を見ると前は
これらのバージョン名が出た記憶があります)
1.4.2に戻した際、果たしてこれで大丈夫か、
正しくアップデートされているのか
アップルサポートに問い合わせたところ、
詳細の情報を持ち合わせてはいないとの事だったのですが、
先方のMacで5.0リリース4をアップデート検証していただいたところ、
プラグインの1つが、うちと違うバージョンが入ったそうで
先方はJava.Applet.Pluginというのがバージョン11.3(作成日2005/12月)になったそうです(うちは10.0.2になった)。
ただし先方はインテルMacで検証したとの事で、PPC用と異なるのかもしれないと言われたのですが、
確実な事はわからなかったため、
PowerPCでアップデートした場合、冒頭の中身になるかどうか
おわかりになられる方がいらっしゃったら
教えていただけないでしょうか。
長い説明ですみません、よろしくお願い致します。

このQ&Aに関連する最新のQ&A

A 回答 (4件)

1.は 「バージョン10.0.2(for Java 1.3.1)」です。


   私もPowerPCで、OSX 10.4.8
2.も skipdogさんと一緒です。
Appleのリリースを探しても1.5.0_06 が最新ですが。

http://developer.apple.com/java/

の右側、「Java Downloads」を見て下さい。
「Java.comで最新版を手に入れる事が出来ます。」と表示されても
Macの場合、Appleのサイトに飛びます。
Java.comでDL出来るのは Windows、Linux、Solarisだけですね。
    • good
    • 0
この回答へのお礼

何度も丁寧に教えて下さって、本当にありがとうございます!
同じ状態とのことで、とても安心致しました。
今回の件は、どういうことなのかちょっと気になっていたので、
いろいろ教えて下さって大丈夫だとわかり、
ほんとに助かりました!
またJava関係をアップデートした際、どこを見ればよいのかなども
大変参考になりました。
素早く御回答下さり、感謝しております。
本当にありがとうございました。

お礼日時:2006/12/26 15:10

>「Java.Applet.Plugin(バージョン10.0.2(for Java 1.3.1))」という


のはInternet Plug-Insフォルダに存在しますでしょうか。

Internet Plug-Insフォルダに「Java Applet Plugin Enabler」
「Java Applet.plugin」「JavaPluginCocoa.bundle」が有ります。
この3つのJavaをInternet Plug-Insから外してJ2SE5.0リリース4を
アップデートすると「JavaPluginCocoa.bundle(バージョン11.4.0
(for Java J2SE5.0))」だけが入りますよ。
ターミナルを用いて調べる方法は、ターミナルを起動すして
ユーザ名%の表示が現れたら 「java -version」でenterキー
またはreturnキーで現在使用のJavaバージョンが表示されます。

http://www.java.com/en/download/help/testvm.xml

このJavaのサイトと一緒かな、ターミナルでも1.4.2までの
情報しかでませんね。

この回答への補足

また素早く教えていただいて本当にありがとうございます。
ターミナルも調べて下さってありがとうございます。
ターミナルでも1.4.2というところまでしか情報が出ないのですね。
1.4.2については、アップデート後はそういうものなのかもしれないですね・・・

こちらは再々度の質問で本当に申し訳ないのですが、
御回答いただいた内容を読んで、2つ教えていただきたいことがあるのです。

1.下の補足内容に書いた質問と重複してしまい恐縮ですが、
「Java Applet.plugin」のバージョンは、qh06さんのMacでは
いくつが入っているでしょうか?
「情報を見る(コマンド+i)」で見た時、「バージョン10.0.2(for Java 1.3.1)」でしょうか?
もしうちの環境と同じでしたら(PowerPCで、OSX 10.4.8)、教えていただけないでしょうか?
これを外してアップデートするとJavaPluginCocoa.bundleだけが入るとのことですので、
私の勘違いで「Java Applet.plugin」は置き換わったりしていないのかもしれませんが、
一応現在入っているバージョンを教えていただけないでしょうか。

2.参考リンクのJavaのテストが出来るページを見てみました。
このテスト結果を見ると、
三角の形をしたキャラクターが動いており、英文で
「You are using an older version of Java technology.
You can dc the latest version from Java.com
Your Java configuration is:
 Vender: Apple Computer,Inc.
 Version: 1.5.0_06
 Operating Sytem:Mac OS X
 OS version:10.4.8」
という英文が出ています。
これによると「あなたは古いバージョンのJavaを使っています。
Java.comで最新版を手に入れる事が出来ます」という結果ということになり、
Macでは恐らく最新版のJ2SE5.0リリース4をアップデートしたのに、
古いバージョンを使っていると出るのが引っ掛かりますが、
テストで出たバージョンは1.5.0_06だし、アップルサポートサイトを見ると
今回アップデートしたJ2SE5.0リリース4イコール1.5.0_06のようですので、
Java.comで最新版というのを入れなくても
今の現状のままで大丈夫と考えてもよいですよね?
ちなみにqh06さんはこのテストではどのような結果になりましたでしょうか?

何度もほんとにすみません・・・
再び教えて下さい。
よろしくお願い致します。

補足日時:2006/12/26 05:22
    • good
    • 0

ごめんなさい。

URL間違ってました。
J2SE5.0リリース4(PPC用)でフォルダには入るのは
「JavaPluginCocoa.bundle(バージョン11.4.0(for Java J2SE5.0))」
だけですね。
>5.0を入れてもJava1.4.2はなくならない?
インストールされているJavaバージョンは
/System/Library/Frameworks/JavaVM.framework/Versions
を開くと解りやすいかと。

http://discussions.info.apple.co.jp/WebX?128@419 …

あと、

http://discussions.info.apple.co.jp/WebX?128@419 …

この回答への補足

再び早速お返事下さりありがとうございます。
フォルダに入るのは上に書いていただいたものだけとのことですが、
「Java.Applet.Plugin(バージョン10.0.2(for Java 1.3.1))」というのは
Internet Plug-Insフォルダに存在しますでしょうか。
アップルサポートに問い合わせた際に、
先方がアップデートを試したところ、先方のMacではこれのバージョンが11.3.0になっているとのこと、
また教えていただいたディスカッションボードにも
これのバージョンが11.3.0が入っていると記載がありましたが
でもうちのは10.0.2になっています。
ただしアップルサポート及びディスカッションボードに質問された方はインテル Mac、
うちはPowerPCなので、両者で違っていても問題ないのかもしれませんが、
ちょっと気になっております。
アップルサポートセンターでもPowerPCでは検証してみる事が出来ないそうで、
うちのに入っているこのプラグインのバージョンがこれでいいのかどうか、
ということは確実にはわかりかねる、という事でした。
周りに同じ環境で使っている人がおらず、
自分で誰かと比較して調べてみる事が出来ないため、
もし同じ環境でMacを使っていらして、
J2SE5.0リリース4をアップデート後に、
Internet Plug-Insフォルダ内に入っているものが
一番上の質問欄に書いた物と同じかどうか、
おわかりになられたら教えていただけないでしょうか。

なお、教えていただいたシステム→ライブラリ→Frameworks→
JavaVM.framework/Versionsを見てみたところ、
「1.3.1」「1.4.2」「1.5.0」「A」という名のフォルダと
「1.3」「1.4」「1.5.0」「Current」「CurrentJDK」というエイリアスが入っていました。
フォルダ、それぞれを開いてみましたが、
さらにClassesやCommandsという名のいくつかの英文字のフォルダがあり、
さらに中にあるファイルを見てみましたが、
UNIX実行ファイルやテキスト書類やランチャー書類といったもので、
ファイルでJAVAバージョンが確認出来るものがなかったのですが、
フォルダ名のみでバージョンを見ればよい、ということでしょうか?
例えば1.4.2だったら1.4.2_09というバージョンになってるかどうかなどの情報を見る事が出来る場所はMac内には特には無いのでしょうか?
(2つ目に教えていただいたディスカッションボードにあったターミナルというのを用いて調べる方法がそれに当たるのかもしれませんが、
ターミナルを用いて調べる方法の事もたまたまアップルに確認したところ、
何か1字でも打ち間違えたり間違った事をしてしまうと
Mac自体が起動しなくなってしまう危険性があるので
コンピュータに詳しい専門的な知識を持った人以外、
これはいじらないで下さいと言われ、
試してみていないでおります・・・)
ネットでも検索して調べてみたのですが、
該当すると思われる回答が見つからなく、
もしおわかりになられましたら、この補足に書いた
2つの質問について再度教えていただけないでしょうか。
度重なる質問でほんとにすみません。

補足日時:2006/12/26 00:17
    • good
    • 0

この回答への補足

お返事ありがとうございます。
そのバージョンではなく、J2SE5.0のリリース4というのを
ソフトウェア.アップデート機能を使って
アップデートしました。
アップルのサイトでは、
http://www.apple.com/jp/ftp-info/reference/j2se5 …
となります。
(他にも同サポートページ内に、リリース4についていくつか記事がありますが・・・)
もしこれについて、おわかりになることがありましたら
よろしくお願い致します。

補足日時:2006/12/25 22:29
    • good
    • 0

お探しのQ&Aが見つからない時は、教えて!gooで質問しましょう!


人気Q&Aランキング